Bug 2067043 - CVE-2022-25309 fribidi: Heap-buffer-overflow in fribidi_cap_rtl_to_unicode [fedora-all]
Summary: CVE-2022-25309 fribidi: Heap-buffer-overflow in fribidi_cap_rtl_to_unicode [f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fribidi
Version: 35
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-25309
TreeView+ depends on / blocked
 
Reported: 2022-03-23 06:12 UTC by TEJ RATHI
Modified: 2022-05-07 04:14 UTC (History)
8 users (show)

Fixed In Version: fribidi-1.0.11-3.fc37 fribidi-1.0.11-3.fc35 fribidi-1.0.11-3.fc34 fribidi-1.0.11-3.fc36
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-01 11:46:32 UTC
Type: ---


Attachments (Terms of Use)

Description TEJ RATHI 2022-03-23 06:12:37 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 TEJ RATHI 2022-03-23 06:12:41 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2047896,2067043

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-04-01 11:43:34 UTC
FEDORA-2022-ec66fe614d has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-ec66fe614d

Comment 3 Fedora Update System 2022-04-01 11:46:32 UTC
FEDORA-2022-ec66fe614d has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Fedora Update System 2022-04-01 12:00:14 UTC
FEDORA-2022-d294f36c15 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d294f36c15

Comment 5 Fedora Update System 2022-04-01 12:08:49 UTC
FEDORA-2022-d230620a58 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d230620a58

Comment 6 Fedora Update System 2022-04-01 12:15:32 UTC
FEDORA-2022-764c8c6b1c has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-764c8c6b1c

Comment 7 Fedora Update System 2022-04-02 01:25:13 UTC
FEDORA-2022-d294f36c15 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-d294f36c15`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-d294f36c15

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-04-02 02:41:25 UTC
FEDORA-2022-d230620a58 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-d230620a58`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-d230620a58

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-04-02 02:46:50 UTC
FEDORA-2022-764c8c6b1c has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-764c8c6b1c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-764c8c6b1c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-04-06 19:04:27 UTC
FEDORA-2022-d230620a58 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2022-04-17 22:20:42 UTC
FEDORA-2022-764c8c6b1c has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2022-05-07 04:14:36 UTC
FEDORA-2022-d294f36c15 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.